Skip to main content
GET
Get the swap contract's status

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

contract_address
string
required

The swap contract address

Example:

"0x742d35cc6634c0532925a3b844bc9e7595f0beb1"

chain
string
required

The EVM chain to read from, e.g. ethereum_mainnet, ethereum_sepolia, base_mainnet or base_sepolia

Example:

"ethereum_sepolia"

Response

Successful response.

Current status flags of a Superstate swap contract.

object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
swap_status
stopped
string
required

The contract's stopped() bitmask as a uint256 decimal string. Zero means no functionality is stopped.

Example:

"0"

swap_level
string
required

The contract's SWAP_LEVEL() flag as a uint256 decimal string

Example:

"4"